cts
Post apiv1cts
Base model view set providing standardized CRUD operations and error handling.
This view set enforces consistent response formats, error handling patterns, and logging across all API endpoints. Subclasses must override the class variables below.
POST
/
api
/
v1
/
cts
cURL
curl --request POST \
--url https://api.capedigital.co.ke/commercial/api/v1/cts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"channel": "<string>",
"date": "2023-12-25",
"day_of_week": "<string>",
"title": "<string>",
"metadata": "<unknown>"
}
'import requests
url = "https://api.capedigital.co.ke/commercial/api/v1/cts"
payload = {
"channel": "<string>",
"date": "2023-12-25",
"day_of_week": "<string>",
"title": "<string>",
"metadata": "<unknown>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
channel: '<string>',
date: '2023-12-25',
day_of_week: '<string>',
title: '<string>',
metadata: '<unknown>'
})
};
fetch('https://api.capedigital.co.ke/commercial/api/v1/cts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"medium": "TV",
"channel": "TV47",
"date": "2024-02-05",
"day_of_week": "Monday",
"title": "TV47 CTS 05-02-2024",
"uploaded_by": {
"id": "uuid",
"name": "John Doe"
},
"slot_count": 24,
"metadata": {},
"created_at": "2024-02-05T06:00:00Z",
"updated_at": "2024-02-05T06:00:00Z"
}Authorizations
Enter your JWT token in the format: Bearer
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
TV- TVRADIO- RadioDIGITAL- Digital
Available options:
TV, RADIO, DIGITAL Required string length:
1 - 100Required string length:
1 - 20Required string length:
1 - 255Response
201 - application/json
TV- TVRADIO- RadioDIGITAL- Digital
Available options:
TV, RADIO, DIGITAL Maximum string length:
100Maximum string length:
20Maximum string length:
255⌘I
cURL
